//
//  SNPatternDetector.h
//  Sniffer
//
//  Created by Andrew Merenbach on 7/11/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SNPatternDetector : NSObject {
	NSString *AM_inputString;
	NSString *AM_outputString;
	
	id AM_delegate;
}

- (id)init;
- (void)dealloc;

- (void)launchThreadForPatternDetection:(id)sender;
- (void)detectPattern:(id)sender;

@end

@interface SNPatternDetector (Accessors)

- (NSString *)inputString;
- (void)setInputString:(NSString *)aString;

- (NSString *)outputString;
- (void)setOutputString:(NSString *)aString;

- (id)delegate;
- (void)setDelegate:(id)anObject;

@end